@charset "UTF-8";

/*
 * システムCSSファイル です。
 *
 *  Version   更新日      更新者        内容
 *  1.0       2022/12/22  DynaxT 永山  新規作成
 */

body {
	color: var(--dt-color-blue);
	height: 100vh;
}

@media screen and (min-width: 768px) {

	.body-content {
		margin-left: 25px;
		margin-right: 25px;
	}

}

/* input type="number"の矢印を消す */
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

input[type="number"] {
	-moz-appearance: textfield;
}

/*ヘッダデザイン */
.dt-header-border {
	width: 100%;
	height: 5px;
	margin-top: 0.1rem;
	margin-bottom: 0.25rem;
	background-color: var(--dt-color-blue);
	border-radius: 50rem;
}

.dt-brand {
	line-height: 0.9;
}

.dt-brand-small {
	font-size: 0.8em;
	line-height: 0 !important;
}

.dt-header-notice {
	max-height: 75px;
}

.dt-view-title {
	max-width: 150px;
}

.dt-header-name {
	min-width: 100px;
}

.dt-header {
	box-shadow: 0 0 5px rgb(17 17 17 / 20%);
}

.dt-header-navbar-nav {
	flex-flow: row wrap;
}

.dt-header-navbar-nav .dt-header-nav-link {
	padding: 0 18px;
	font-size: 1.13rem;
	font-weight: bold;
	color: var(--dt-color-blue) !important;
	text-decoration: none;
}

/* フッタデザイン */

.dt-footer {
	position: sticky;
	top: 100vh;
}

.dt-footer-border {
	width: 100%;
	height: 2px;
	background-color: var(--dt-color-blue);
	border-radius: 50rem;
}

.dt-footer-margin {
	height: 50px;
}

.dt-footer-contact {
	color: white;
	background-color: var(--dt-color-blue);
}

/* 共通設定 */
img {
	/* pointer-events: none; */
	image-rendering: -webkit-optimize-contrast;
}

a {
	color: var(--dt-color-blue2) !important;
}

a.dt-text-blue {
	color: var(--dt-color-blue) !important;
}

/* 色系 */
:root {
	--dt-color-dark: #0A1B37;
	--dt-color-blue2: #19A0BF;
	--dt-color-gray: #C3C3C3;
	--dt-color-gray2: #838383;
	--dt-color-disabled: #C3C3C3;
	--dt-color-disabled2: #ABD6DB;
	--dt-color-blue: #131673;
	--dt-color-white: #FFFFFF;
}

.dt-text-dark {
	color: var(--dt-color-dark) !important;
}

.dt-text-blue {
	color: var(--dt-color-blue) !important;
}

.dt-bg-blue {
	background-color: var(--dt-color-blue) !important;
}

.dt-bg-gray {
	background-color: var(--dt-color-gray) !important;
}

.dt-bg-gray2 {
	background-color: var(--dt-color-gray2) !important;
}

.alert-info {
	background-color: #e7fafe;
	border-color: #cef4fc;
}

/* ボタン関連 */
.dt-btn1 {
	color: var(--dt-color-white) !important;
	background-color: var(--dt-color-blue);
	border: none;
	border-radius: 5px;
}

.dt-btn1:hover,
.dt-btn1:active,
.dt-btn1:focus-visible {
	background-color: var(--dt-color-gray) !important;
}

.dt-btn1:disabled,
.dt-btn1.disabled {
	pointer-events: none !important;
	background-color: var(--dt-color-disabled) !important;
	color: var(--dt-color-disabled2) !important;
}

/* テーブル関係 */

th {
	vertical-align: middle;
	border-color: var(--dt-color-blue);
	background-color: var(--dt-color-blue) !important;
	color: var(--dt-color-white);
	text-align: center;
}

td {
	vertical-align: middle;
	border-color: var(--dt-color-blue);
	text-align: center;
}

/* ボックス */
.dt-box {
	border: double 5px var(--dt-color-blue) !important;
}

/* bootstrap拡張 */
@media screen and (min-width: 768px) {
	.d-lg-list-item {
		display: list-item !important;
	}
}